SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1054874 - [GSS] (6.4.0) jboss-cli.sh cygwin support
Summary: [GSS] (6.4.0) jboss-cli.sh cygwin support
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: TBD EAP 7
Assignee: Alexey Loubyansky
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-17 16:16 UTC by Aleksandar Kostadinov
Modified: 2019-11-14 06:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
This release of JBoss EAP 6 contains a bug that may create problems using the product in a Cygwin environment. Differences in the POSIX and Microsoft Windows pathing implementations may cause the path variables in the +jboss-cli.sh+ shell script to not function as expected. This issue is expected to be resolved in a future release of the product.
Clone Of:
Environment:
Last Closed: 2015-06-23 12:55:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Aleksandar Kostadinov 2014-01-17 16:16:59 UTC
Currently EAP 6.2.x has broken cygwin support. To fix and bring in sync with upstream which is already fixed:

> diff --git a/build/src/main/resources/bin/jboss-cli.sh b/build/src/main/resources/bi
> index b971615..969151f 100755
> --- a/build/src/main/resources/bin/jboss-cli.sh
> +++ b/build/src/main/resources/bin/jboss-cli.sh
> @@ -61,6 +61,7 @@ fi
>  if $cygwin; then
>      JBOSS_HOME=`cygpath --path --windows "$JBOSS_HOME"`
>      JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
> +    JBOSS_MODULEPATH=`cygpath --path --windows "$JBOSS_MODULEPATH"`
>  fi
> 
>  if $darwin ; then

Comment 1 Aleksandar Kostadinov 2014-01-17 16:24:38 UTC
It is actually WFLY-2523 that fixed it upstream and this is the upstream commit:
https://github.com/wildfly/wildfly/commit/6a36106147fd9a67238a72adf5981eb73205110d

Comment 3 Scott Mumford 2014-01-20 06:00:24 UTC
Marking for inclusion in 6.2.1 release notes documentation.

Comment 8 sgilda 2014-05-13 17:40:19 UTC
Changed from Bug Fix to Known Issue to fix Bug 1097087

Comment 9 Scott Mumford 2014-05-14 02:38:26 UTC
Refactored release note text for this as a Known Issue (ER4 fixes will not be picked up in the 6.3.0 Beta release)

Original note included here for use at 6.3.0 GA:

Problems were encountered using earlier versions of JBoss EAP 6 in Cygwin. Differences in the POSIX and Microsoft Windows pathing implementations caused the path variables in the +jboss-cli.sh+ shell script to fail to function as expected. A refinement in the +jboss-cli.sh+ shell script now allows the variables to operate as expected in Cygwin environments.

Comment 10 Darran Lofthouse 2014-07-22 12:48:13 UTC
Just spotted this, don't believe it should be dev acked - we have already rejected another BZ as we have no solution for prompting for a password without echoing on cygwin.

Overall I believe cygwin support should currently be classed as an RFE.


Note You need to log in before you can comment on or make changes to this bug.